Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357220 - [abrt] kf5-kded: XQueryExtension(): kded5 killed by SIGSEGV
Summary: [abrt] kf5-kded: XQueryExtension(): kded5 killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: colord-kde
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e16c58311f95c206877c2226306...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-16 20:10 UTC by iliketurtlesbro
Modified: 2016-11-19 21:09 UTC (History)
7 users (show)

Fixed In Version: colord-kde-0.5.0-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-19 21:09:03 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-16 20:10 UTC, iliketurtlesbro
no flags Details
File: cgroup (deleted)
2016-07-16 20:10 UTC, iliketurtlesbro
no flags Details
File: core_backtrace (deleted)
2016-07-16 20:10 UTC, iliketurtlesbro
no flags Details
File: dso_list (deleted)
2016-07-16 20:10 UTC, iliketurtlesbro
no flags Details
File: environ (deleted)
2016-07-16 20:10 UTC, iliketurtlesbro
no flags Details
File: exploitable (deleted)
2016-07-16 20:10 UTC, iliketurtlesbro
no flags Details
File: limits (deleted)
2016-07-16 20:10 UTC, iliketurtlesbro
no flags Details
File: maps (deleted)
2016-07-16 20:10 UTC, iliketurtlesbro
no flags Details
File: mountinfo (deleted)
2016-07-16 20:10 UTC, iliketurtlesbro
no flags Details
File: namespaces (deleted)
2016-07-16 20:10 UTC, iliketurtlesbro
no flags Details
File: open_fds (deleted)
2016-07-16 20:10 UTC, iliketurtlesbro
no flags Details
File: proc_pid_status (deleted)
2016-07-16 20:10 UTC, iliketurtlesbro
no flags Details
File: var_log_messages (deleted)
2016-07-16 20:10 UTC, iliketurtlesbro
no flags Details


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 359677 None None None 2016-11-02 17:53:33 UTC

Description iliketurtlesbro 2016-07-16 20:10:00 UTC
Version-Release number of selected component:
kf5-kded-5.24.0-1.fc25

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/bin/kded5
crash_function: XQueryExtension
executable:     /usr/bin/kded5
global_pid:     2485
kernel:         4.7.0-0.rc7.git3.1.fc25.x86_64
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XQueryExtension at QuExt.c:43
 #1 XInitExtension at InitExt.c:47
 #2 XextAddDisplay at extutil.c:110
 #3 XRRFindDisplay at Xrandr.c:295
 #4 XRRQueryExtension at Xrandr.c:352
 #5 ColorD::connectToDisplay at /usr/src/debug/colord-kde-0.4.0/colord-kded/ColorD.cpp:412
 #6 ColorD::ColorD at /usr/src/debug/colord-kde-0.4.0/colord-kded/ColorD.cpp:65
 #7 KPluginFactory::createInstance<ColorD, QObject> at /usr/include/KF5/KCoreAddons/kpluginfactory.h:477
 #8 KPluginFactory::create at /usr/src/debug/kcoreaddons-5.24.0/src/lib/plugin/kpluginfactory.cpp:145
 #9 KPluginFactory::create<KDEDModule> at /usr/include/KF5/KCoreAddons/kpluginfactory.h:495

Comment 1 iliketurtlesbro 2016-07-16 20:10:05 UTC
Created attachment 1180543 [details]
File: backtrace

Comment 2 iliketurtlesbro 2016-07-16 20:10:06 UTC
Created attachment 1180544 [details]
File: cgroup

Comment 3 iliketurtlesbro 2016-07-16 20:10:07 UTC
Created attachment 1180545 [details]
File: core_backtrace

Comment 4 iliketurtlesbro 2016-07-16 20:10:08 UTC
Created attachment 1180546 [details]
File: dso_list

Comment 5 iliketurtlesbro 2016-07-16 20:10:09 UTC
Created attachment 1180547 [details]
File: environ

Comment 6 iliketurtlesbro 2016-07-16 20:10:10 UTC
Created attachment 1180548 [details]
File: exploitable

Comment 7 iliketurtlesbro 2016-07-16 20:10:11 UTC
Created attachment 1180549 [details]
File: limits

Comment 8 iliketurtlesbro 2016-07-16 20:10:12 UTC
Created attachment 1180550 [details]
File: maps

Comment 9 iliketurtlesbro 2016-07-16 20:10:13 UTC
Created attachment 1180551 [details]
File: mountinfo

Comment 10 iliketurtlesbro 2016-07-16 20:10:14 UTC
Created attachment 1180552 [details]
File: namespaces

Comment 11 iliketurtlesbro 2016-07-16 20:10:15 UTC
Created attachment 1180553 [details]
File: open_fds

Comment 12 iliketurtlesbro 2016-07-16 20:10:16 UTC
Created attachment 1180554 [details]
File: proc_pid_status

Comment 13 iliketurtlesbro 2016-07-16 20:10:17 UTC
Created attachment 1180555 [details]
File: var_log_messages

Comment 14 Jan Kurik 2016-07-26 04:43:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 15 Mustafa Muhammad 2016-10-13 08:10:02 UTC
Similar problem has been detected:

I just logged into Plasma Wayland session

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/kded5
crash_function: XQueryExtension
executable:     /usr/bin/kded5
global_pid:     1611
kernel:         4.8.1-1.fc25.x86_64
package:        kf5-kded-5.27.0-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         kded5 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 RJ 2016-11-02 17:42:48 UTC
Fixed: https://bugs.kde.org/show_bug.cgi?id=359677

Comment 17 Rex Dieter 2016-11-02 17:57:33 UTC
triaged

Comment 18 Fedora Update System 2016-11-02 18:17:28 UTC
colord-kde-0.5.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-56c3e3ed5c

Comment 19 Fedora Update System 2016-11-05 18:57:27 UTC
colord-kde-0.5.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-56c3e3ed5c

Comment 20 Mustafa Muhammad 2016-11-06 08:47:55 UTC
Fixed the bug for me, I added karma.

Comment 21 RJ 2016-11-06 10:04:36 UTC
Yes, fixed.

Comment 22 Fedora Update System 2016-11-19 21:09:03 UTC
colord-kde-0.5.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.